/*
 * added _binmode()
 *	if called with TRUE, then subsequently all fopens have _IOBIN
 *	by default  on open. This will make life much easier for
 *	people who have been using the Gnu lib (any my job with the compiler
 *	much easier too, dont't have to go hunting for fopens())
 *				++jrb;
 */

/* moved to a separate module, so that people who want to can put
 * __default_mode__ = _IOBIN in their main program without getting
 * a link conflict; moreover, this allows stdin and stdout to be
 * binary mode by default as well. ++ERS
 */

#include <stdio.h>

int __default_mode__ = 0;

void _binmode(force)
int force;
{
    if(force)
	__default_mode__ = _IOBIN;
    else
	__default_mode__ = 0;
}
